Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class LiteralValue

    java.lang.Object
      org.modeshape.jcr.query.model.Literal
          org.modeshape.jcr.query.model.LiteralValue

All Implemented Interfaces:
  Serializable, Literal, Operand, StaticOperand, LanguageObject, Visitable

    public class LiteralValue

extends Literal
implements Literal

Implementation of the literal value static operand for the JCR Query Object Model, used only in bound variables.

See Also:
  `Query.bindValue(String, Value)`, Serialized Form

Constructor Summary
`LiteralValue(Value value)`
`LiteralValue(Value value, Object rawValue)`

Method Summary
`Value` | `getLiteralValue()`
`static Object` | `rawValue(Value value)`

Methods inherited from class org.modeshape.jcr.query.model.Literal
`accept, equals, hashCode, toString, value`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LiteralValue

    public LiteralValue(Value value)
                 throws RepositoryException

Parameters:
  `value` - the JCR value
Throws:
  `RepositoryException` - if there is a problem obtaining the raw value from the supplied JCR value.

### LiteralValue

    public LiteralValue(Value value,
                        Object rawValue)

Method Detail

### rawValue

    public static Object rawValue(Value value)
                           throws RepositoryException

  Throws:
    `RepositoryException`

### getLiteralValue

    public Value getLiteralValue()

  Specified by:
    `getLiteralValue` in interface `Literal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.